<link rel="stylesheet" href="{$resources}css/modules.css"/>
<script type="text/javascript" src="{$resources}javascript/modules.js"></script>
<section id="modules">
  {include file="create_edit_module_form.html"}
  {if $logged_in_user}
  <div class="tile create-new">
    <img src="{$resources}images/icons/icon_create_new.svg" alt="Plus icon" title="Neues Model erstellen"/>
    <span>Neues Modul erstellen</span>
  </div>
  {/if}
  {foreach $modules as $module}
    {* only show module, if its either public or if the currently logged in user is the creator *}
    {if $module.model->getVisibility() == true || ($logged_in_user && $module.model->getCreatedBy()->getId() == $logged_in_user->getId())}
      <div class="tile">
        <div class="thumbnail"><a href="/toybox/{$module.url}"><img src="{$resources}images/thumbnails/{$module.model->getCode()}.png" alt="{$module.model->getName()}"/></a></div>
      </div>
    {/if}
  {/foreach}
</section>
